# Files ignored for the project.
# You also can exclude a file locally - i.e. only on the current computer
# by editing the file $GIT_DIR/info/exclude

# Hidden files
.*
!.gitignore
!.gitlab-ci.yml
!.pylintrc
!.pre-commit-config.yaml

# Byte / compiled / optimized
*.py[cod]
__pycache__/
*.so

# Distribution / packaging
build/
/dist/
*.egg-info/
.eggs/

# Unittest / coverage
*.py,cover
.coverage.*
htmlcov/
.cache/
.pytest_cache/

# Profiler
/prof/

# mypy
.mypy_cache/
.dmypy.json
dmypy.json

# Backup from text editor
*~
*.bck
*.swp
\#*\#


# Eclipse IDE
/.settings/
/.project
/.pydevproject

# VisualStudio IDE
/.vscode/
/.history/

# Project documentation
/doc/build
/doc/source/bliss*.rst
/doc/site

# Redis output
/beacon.rdb
/beacon_data.rdb
/tests/test_configuration/beacon.rdb
/tests/test_configuration/beacon_data.rdb
/dump.rdb

# web interfaces
node_modules
package-lock.json
